<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:49 CET 2016 -->
<title>com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form (QA API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/fields/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/CNFcreateNewFormWithoutSavingTest.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">CNFcreateNewFormWithoutSavingTest</a></td>
<td class="colLast">
<div class="block">This tests ensures that in the lines tab of sales order window, when clicking the
 "Create new record in form view" having the record fully filled and without having it previously
 saved, does not fill the "Product" field in the new record.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FormSuite.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FormSuite</a></td>
<td class="colLast">
<div class="block">Form test suite.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FRM0010_EditRecord.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FRM0010_EditRecord</a></td>
<td class="colLast">
<div class="block">Test the record edition from form.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FRM0020_CreateRecord.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FRM0020_CreateRecord</a></td>
<td class="colLast">
<div class="block">Test the record creation from form.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FRM0030_CloseFormInNewModeNotEdited.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FRM0030_CloseFormInNewModeNotEdited</a></td>
<td class="colLast">
<div class="block">Test the form closing from new mode without having entered values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FRM0040_ClickNewInForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FRM0040_ClickNewInForm</a></td>
<td class="colLast">
<div class="block">Test clicking the new in form button.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/FRM0050_SaveRecordWithInvalidValues.html" title="class in com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.form">FRM0050_SaveRecordWithInvalidValues</a></td>
<td class="colLast">
<div class="block">Test the saving of a record with invalid values.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/fields/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/testsuites/standardview/form/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
